# DePassportFieldsSignatures class

Class that contains all fields signatures of the DePassport document. Use it to Configure the document fields when running the scanner screen.

## Constructors

DePassportFieldsSignatures()
  const

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

BirthDate → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "BirthDate"`
Birthplace → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "Birthplace"`
CountryCode → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "CountryCode"`
ExpiryDate → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "ExpiryDate"`
Gender → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "Gender"`
GivenNames → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "GivenNames"`
ID → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "ID"`
IssueDate → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "IssueDate"`
IssuingAuthority → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "IssuingAuthority"`
MaidenName → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "MaidenName"`
Nationality → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "Nationality"`
PassportType → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "PassportType"`
Photo → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "Photo"`
RawMRZ → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "RawMRZ"`
Signature → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "Signature"`
Surname → const String
  `DePassport.DOCUMENT_NORMALIZED_TYPE + "." + "Surname"`